#
# spec file for package pam_smb (Version 1.1.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         pam_smb
Copyright:    GPL
Group:        System Environment/Libraries
Provides:     pam_smb 
Autoreqprov:  on
Version:      1.1.6
Release:      149
Summary:      PAM module for user authentication using an NT server
URL:          http://www.csn.ul.ie/~airlied/pam_smb/
Source:       pam_smb-%{version}.tar.bz2
Patch:        pam_smb-%{version}.dif
BuildRoot:    /var/tmp/%{name}-build

%description
pam_smb is a PAM module which allows authentication of UNIX users using an NT
server.

Authors:
--------
    Dave Airlie <David.Airlie@ul.ie>

SuSE series: n

%prep
%setup -n pam_smb
%patch

%build
%{suse_update_config -f}
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --sbindir=/usr/sbin
make

%install
rm -rf $RPM_BUILD_ROOT
install -d 755 $RPM_BUILD_ROOT/lib/security
install -d 755 $RPM_BUILD_ROOT/etc
install -m 755 pam_smb_auth.so $RPM_BUILD_ROOT/lib/security
install -m 644 pam_smb.conf.example $RPM_BUILD_ROOT/etc/pam_smb.conf

%files
%defattr(-,root,root)
%doc CHANGES COPYING README TODO
%config /etc/pam_smb.conf
/lib/security/pam_smb_auth.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n pam_smb
* Wed Jun 06 2001 - cihlar@suse.cz
- fixed to compile with new autoconf
* Fri Nov 10 2000 - cihlar@suse.cz
- added suse_update_config
- bzipped sources
* Mon Sep 11 2000 - cihlar@suse.cz
- update to version 1.1.6 with security bug fix
* Wed Apr 26 2000 - cihlar@suse.cz
- added BuildRoot
* Tue Feb 15 2000 - kukuk@suse.de
- Insert Group tag.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jun 16 1999 - kukuk@suse.de
- First version.
